%global _empty_manifest_terminate_build 0
Name:           python-alembic
Version:        1.5.7
Release:        1
Summary:        A database migration tool for SQLAlchemy.
License:        MIT
URL:            https://alembic.sqlalchemy.org
Source0:        https://files.pythonhosted.org/packages/57/f8/281ea2f4f99e93bd059075e4d1bf7090710234dadb02a817293ba9f118b9/alembic-1.5.7.tar.gz
BuildArch:      noarch
%description
Alembic is a database migrations tool written by the author of SQLAlchemy. A
migrations tool offers the following functionality:
1. Can emit ALTER statements to a database in order to change the structure of
 tables and other constructs
2. Provides a system whereby "migration scripts" may be constructed; each script
indicates a particular series of steps that can "upgrade" a target database to a
new version, and optionally a series of steps that can "downgrade" similarly,
doing the same steps in reverse.
3. Allows the scripts to execute in some sequential manner.

%package -n python3-alembic
Summary:        A database migration tool for SQLAlchemy.
Provides:       python-alembic
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-alembic
Alembic is a database migrations tool written by the author of SQLAlchemy. A
migrations tool offers the following functionality:
1. Can emit ALTER statements to a database in order to change the structure of
 tables and other constructs
2. Provides a system whereby "migration scripts" may be constructed; each script
indicates a particular series of steps that can "upgrade" a target database to a
new version, and optionally a series of steps that can "downgrade" similarly,
doing the same steps in reverse.
3. Allows the scripts to execute in some sequential manner.

%package help
Summary:        A database migration tool for SQLAlchemy.
Provides:       python3-alembic-doc
%description help
Alembic is a database migrations tool written by the author of SQLAlchemy. A
migrations tool offers the following functionality:
1. Can emit ALTER statements to a database in order to change the structure of
 tables and other constructs
2. Provides a system whereby "migration scripts" may be constructed; each script
indicates a particular series of steps that can "upgrade" a target database to a
new version, and optionally a series of steps that can "downgrade" similarly,
doing the same steps in reverse.
3. Allows the scripts to execute in some sequential manner.

%prep
%autosetup -n alembic-1.5.7

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-alembic -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 1.5.7-1
- Upgrade to version 1.5.7

* Mon Jul 06 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
